Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class LeafRoleResource

    java.lang.Object
      ResourceBase
          com.bea.p13n.entitlements.resource.P13nResource
              com.bea.p13n.entitlements.resource.LeafRoleResource

    public class LeafRoleResource

extends P13nResource

The LeafRoleResource class is used to represent an application defined resource for management and runtime checking of role and security policies.

This class has special significance for the formation and runtime checking of role policies associated with a resource. Role policies will be collected at the application leaf node and at global scope, only.

This class will search for security policies beginning at the application resource leaf node and then in a hiearchical manner, until located, using the P13nSecurityResource class.

Field Summary

Fields inherited from class com.bea.p13n.entitlements.resource.P13nResource
`empty`

Constructor Summary
`LeafRoleResource(String entAppName, String webAppName, String appResourceID, String capabilityName)` Construct a resource whose role policies will be scoped at the leaf node level

Method Summary
`int` | `getResourceScope()` Return the resource type of this class.

Methods inherited from class com.bea.p13n.entitlements.resource.P13nResource
`getCapabilityName, getEntAppName, getKeys, getLibraryResourceId, getResourceName, getSecurityResource, getType, getWebAppName, makeParent, setInitialValues, setSecurityResource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LeafRoleResource

    public LeafRoleResource(String entAppName,
                            String webAppName,
                            String appResourceID,
                            String capabilityName)

  Construct a resource whose role policies will be scoped at the leaf node level

  Parameters
    `entAppName` - Enterprise application name.
    `webAppName` - Webapp name.
    `appResourceID` - Application-defined resource taxonomy Id
    `capabilityName` - Optional application-defined capability to evaluate. If no capability name is specified, a policy with no capability name will be used if found.

Method Detail

### getResourceScope

    public final int getResourceScope()

  Return the resource type of this class.

  Specified by:
    `getResourceScope` in class `P13nResource`
  Returns
    EntitlementConstants.LEAF_NODE_ROLE_INHERITANCE.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved